Follow

How Do I Update My Adobe Flash?

Our games require Adobe Flash Player for you to be able to play them. We recommend a minimum requirement of Flash version 11.8.0 to get the best experience. Below are steps to make sure that you have the most current version installed. 

1) Using this link to Adobe's page (http://get.adobe.com/flashplayer/otherversions/) You can select your operating system and then the Flash version. It will show the newest version of Flash available for download.

2) Select the 'Download Now' button and then click on the 'install_flashplayer.exe' to install. Uncheck any boxes for additional options that you don't wish to install such as tool bars or virus protection software etc. 

3) Once you have completed the installation restart you browser. 

 

Note: That some browsers like Chrome will automatically install the newest version of Flash of your machine as they are released. 

 

- Product Madness Support 

Was this article helpful?
1 out of 1 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk